## scikit-rf 0.15.4

=== requirements.txt ===
matplotlib
scipy
pandas
nbsphinx
ipython
ipykernel
ipywidgets
jupyter_client
python-ivi
pyvisa
networkx
pathlib
git+https://github.com/scikit-rf/scikit-rf.git@master

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
#SPHINXOPTS    = -j 4
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"


all: notebooks  html

notebooks:
	for file in ./source/tutorials/*.ipynb; do\
	  runipy  --pylab -o $$file;\
	done
	cd ./source/tutorials;ipython nbconvert --to rst *.ipynb
	sed -i 's/``/`/g' ./source/tutorials/*.rst

clean-generated:
	find source/ -name generated  -exec rm -rf {} \;

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mwavepy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mwavepy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mwavepy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mwavepy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/source/Makefile ===


notebooks:
	for file in tutorials/*.ipynb; do\
	  runipy  --pylab -o $$file;\
	done
	cd tutorials;ipython nbconvert --to rst *.ipynb
	sed -i 's/``/`/g' tutorials/*.rst

=== debian/changelog ===
scikit-rf (0.15.4-2) unstable; urgency=medium

  * First source-only upload
  * Fix some whitespace problems in d/copyright

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 02 Dec 2020 09:46:23 +0100

scikit-rf (0.15.4-1) unstable; urgency=low

  * Initial release (Closes: #972325)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 18 Oct 2020 10:56:45 +0200

=== debian/control ===
Source: scikit-rf
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/electronics-team/scikit-rf
Vcs-Git: https://salsa.debian.org/electronics-team/scikit-rf.git
Homepage: http://scikit-rf.org/
X-Python-Version: all

Package: python3-scikit-rf
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Python toolkit for RF/Microwave engineering
 It provides a modern, object-oriented library for network analysis (VNA) and
 calibration which is both flexible and scalable. The toolkit is superb for
 analyzing S parameter files (touchstone) from vector network analyzers.
 Plotting of Smith charts is easy with this library.

=== debian/watch ===
version=3
https://github.com/scikit-rf/scikit-rf/releases /scikit-rf/scikit-rf/archive/v(\d\S+)\.tar\.(?:bz2|gz|xz)

## scikit-rf 0.30.0

=== debian/changelog ===
scikit-rf (0.30.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.30.0.
  * Updated watch version to 4 + updated the link.
  * Bumped Standards-Version to 4.6.2 + bumped debhelper-compat to 
    13 + added pybuild-plugin-pyproject to d/control in Build-Depends.
  * Enabled autopkgtest with d/tests/*.
  * Added patch for autopkgtest.
  * Disabled old lintian overrides.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Thu, 18 Jan 2024 19:30:00 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-setuptools
-Standards-Version: 4.5.0
+               python3-setuptools,
+               pybuild-plugin-pyproject
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/electronics-team/scikit-rf
 Vcs-Git: https://salsa.debian.org/electronics-team/scikit-rf.git
 Homepage: http://scikit-rf.org/

## scikit-rf 0.31.0

=== debian/changelog ===
scikit-rf (0.31.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.31.0.
  * Updated patch 0002_* to fit new upstream version.
  * d/control: Bumped Standards-Version to 4.7.0.
  * Updated autopkgtest to fit new upstream version.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Thu, 18 Apr 2024 23:45:00 +0000

## scikit-rf 1.0.0

=== debian/changelog ===
scikit-rf (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.0.0.
  * Updated patch 0001-Included-script-should-run-with-
    Python-3.patch and 0002-fix-for-autopkgtests.patch to fit
    new upstream version.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Tue, 07 May 2024 16:45:00 +0000

## scikit-rf 1.1.0

=== debian/changelog ===
scikit-rf (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.0.
  * Patch to fix tests failing to capture warning in autopkgtests.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 03 Jul 2024 15:30:00 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-setuptools,
                pybuild-plugin-pyproject
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/electronics-team/scikit-rf
 Vcs-Git: https://salsa.debian.org/electronics-team/scikit-rf.git
 Homepage: http://scikit-rf.org/

## scikit-rf 1.2.0

=== debian/changelog ===
scikit-rf (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.0.
  * d/control: add Rules-Requires-Root: no.

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 19 Aug 2024 04:10:00 +0000

## scikit-rf 1.3.0

=== debian/changelog ===
scikit-rf (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.0.
  * Remove d/patches/0001-Included-script-should-run-with-Python-3.patch,
    0002-fix-for-autopkgtests.patch and
    0003_fix-capture-warning-autopkgtests.patch, fixed by new upstream
    version.

 -- Yogeswaran Umasankar <yogu@debian.org>  Tue, 03 Sep 2024 02:30:00 +0000

## scikit-rf 1.4.1

=== debian/changelog ===
scikit-rf (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.1.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 10 Nov 2024 18:44:32 +0000

## scikit-rf 1.5.0

=== debian/changelog ===
scikit-rf (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.0.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 06 Dec 2024 19:47:24 +0000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Vcs-Git: https://salsa.debian.org/electronics-team/scikit-rf.git
 Homepage: http://scikit-rf.org/
 X-Python-Version: all
+Rules-Requires-Root: no
 
 Package: python3-scikit-rf
 Architecture: all

## scikit-rf 1.6.2

=== doc/Makefile ===
--- 
+++ 
@@ -37,8 +37,8 @@
 all: notebooks  html
 
 notebooks:
-	for file in ./source/tutorials/*.ipynb; do\
-	  runipy  --pylab -o $$file;\
+	for file in source/tutorials/*.ipynb; do\
+	  cd ${CURDIR}/..; runipy  --pylab -o doc/$$file;\
 	done
 	cd ./source/tutorials;ipython nbconvert --to rst *.ipynb
 	sed -i 's/``/`/g' ./source/tutorials/*.rst

=== doc/source/Makefile ===
--- 
+++ 
@@ -6,5 +6,3 @@
 	done
 	cd tutorials;ipython nbconvert --to rst *.ipynb
 	sed -i 's/``/`/g' tutorials/*.rst
-
-

=== debian/changelog ===
scikit-rf (1.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.2.
  * d/control: bump Standards-Version to 4.7.2.

 -- Yogeswaran Umasankar <yogu@debian.org>  Tue, 01 Apr 2025 01:56:06 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-setuptools,
                pybuild-plugin-pyproject
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/electronics-team/scikit-rf
 Vcs-Git: https://salsa.debian.org/electronics-team/scikit-rf.git
 Homepage: http://scikit-rf.org/

=== debian/tests/control ===
Tests: runtests
Depends: @, @builddeps@, python3-numpy, python3-scipy, python3-pandas, python3-pyvisa, python3-pytest, python3-ipython, python3-all
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/scikit-rf/scikit-rf/tags .*/v(\d\S+)\.tar\.gz

## scikit-rf 1.8.0

=== debian/changelog ===
scikit-rf (1.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.0.
  * d/watch: bump to version 5 format.
  * d/control: remove Rules-Requires-Root.

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 13 Oct 2025 20:28:09 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Vcs-Git: https://salsa.debian.org/electronics-team/scikit-rf.git
 Homepage: http://scikit-rf.org/
 X-Python-Version: all
-Rules-Requires-Root: no
 
 Package: python3-scikit-rf
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export PYBUILD_NAME = scikit-rf

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_clean:
	dh_clean
	$(RM) -r scikit_rf.egg-info/

override_dh_auto_install:
	dh_auto_install
	$(RM) -r debian/python3-scikit-rf/usr/lib/python3*/dist-packages/apps
	chmod -x debian/python3-scikit-rf/usr/lib/python3*/dist-packages/skrf/data/skrf2.mplstyle


# Skipping tests for now:
override_dh_auto_test:

=== debian/watch ===
Version: 5
Template: Github
Owner: scikit-rf
Project: scikit-rf

## scikit-rf 1.10.0

=== debian/changelog ===
scikit-rf (1.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.10.0. (Closes: #1100730)
  * d/control:
    - Bump Standards-Version to 4.7.3.
    - Remove Priority.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 11 Feb 2026 00:36:46 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                pybuild-plugin-pyproject
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/electronics-team/scikit-rf
 Vcs-Git: https://salsa.debian.org/electronics-team/scikit-rf.git
 Homepage: http://scikit-rf.org/
